package com.bocloud.cmp.model.xsky;

import java.util.Date;
import java.util.List;

public class FileGatewayGroupModel {
    private String gatewayUuid;
    private Date updateTime;
    private Date createTime;
    private String vip;
    private Long port;
    private String name;
    private String status;
    private String activeStatus;
    private String remark;
    private String encoding;
    private String security;
    private String bipMask;
    private List<String> type;
    private String types;
    private Long accessGroupNum;
    private Long folderNum;
    private String vipMask;
    private List<String> hostIds;

    public String getGatewayUuid() {
        return gatewayUuid;
    }

    public void setGatewayUuid(String gatewayUuid) {
        this.gatewayUuid = gatewayUuid;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getVip() {
        return vip;
    }

    public void setVip(String vip) {
        this.vip = vip;
    }

    public Long getPort() {
        return port;
    }

    public void setPort(Long port) {
        this.port = port;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getEncoding() {
        return encoding;
    }

    public void setEncoding(String encoding) {
        this.encoding = encoding;
    }

    public String getSecurity() {
        return security;
    }

    public void setSecurity(String security) {
        this.security = security;
    }

    public String getBipMask() {
        return bipMask;
    }

    public void setBipMask(String bipMask) {
        this.bipMask = bipMask;
    }

    public List<String> getType() {
        return type;
    }

    public void setType(List<String> type) {
        this.type = type;
    }

    public Long getAccessGroupNum() {
        return accessGroupNum;
    }

    public void setAccessGroupNum(Long accessGroupNum) {
        this.accessGroupNum = accessGroupNum;
    }

    public Long getFolderNum() {
        return folderNum;
    }

    public void setFolderNum(Long folderNum) {
        this.folderNum = folderNum;
    }

    public String getVipMask() {
        return vipMask;
    }

    public void setVipMask(String vipMask) {
        this.vipMask = vipMask;
    }

    public String getActiveStatus() {
        return activeStatus;
    }

    public void setActiveStatus(String activeStatus) {
        this.activeStatus = activeStatus;
    }

    public List<String> getHostIds() {
        return hostIds;
    }

    public void setHostIds(List<String> hostIds) {
        this.hostIds = hostIds;
    }

    public String getTypes() {
        return types;
    }

    public void setTypes(String types) {
        this.types = types;
    }
}
